Firefox PHP

очередная проблемка при апгрейде

Posted by EugenR 
очередная проблемка при апгрейде
January 16, 2008 05:12AM
Суть такая
У меня два аккаунта у одного провайдера, (разные физически mysql сервера)

На одном ап с 5-1-22 до 5-2-6 прошел нормально, на втором при попытке открыть admin.php выводит пустую страницу.
Вот с таким кодом:

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML><HEAD>
<META http-equiv=Content-Type content="text/html; charset=windows-1251"></HEAD>
<BODY></BODY></HTML>


Мало того, банальное развертывание пустого 5-2-6 дает такой же результат.

Пробовал добится правды от провайдера, но ничего кроме намека на неправильный пароль/логин, и повторной отписки что к базе подлючение с нужными логин/паролями происходит, не получил.

Попробовал развернуть эту базу на денвере, такая же ерунда.

Где копать?



Edited 1 time(s). Last edit at 01/16/2008 05:15AM by EugenR.
Re: очередная проблемка при апгрейде
January 16, 2008 10:23AM
ну разобрался с хостерской помощью

в 5-1-16
"type" => "mysql", - работает


в 5-2-6 нет, ковычки одинарные надо
'type' => 'mysql',
Re: очередная проблемка при апгрейде
January 16, 2008 07:07PM
В таких случаях первым делом надо добиться чтоб скрипт начал выдавать ошибку , а не молчал, как партизан.
По дефолту у многих хостеров это отключено
Включается просто

В начале php-скрипта необходимо добавить строки:
ini_set (display_errors,On);
ini_set (error_reporting, E_ALL);

----
Yuri Abramenkov
forum.foxclub.ru
Re: очередная проблемка при апгрейде
January 17, 2008 04:52AM
спасибо, учту.

Еще такой момент, если в настройках разрешенно использование нескольких скинов, то при переходе на версию, где структура скина отличается можно вообще не увидеть индексную страницу, или увидеть не полностью.
Т.е. у вас стоит старый скин, а в настройках разрешенно его использовать.
Sorry, only registered users may post in this forum.

Click here to login